Package org.flowable.bpmn.model

# Class FlowNode

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `Activity`, `Event`, `Gateway`

public abstract class FlowNode extends FlowElement

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `asynchronous`
  `protected boolean`
  `asynchronousLeave`
  `protected boolean`
  `asynchronousLeaveNotExclusive`
  `protected Object`
  `behavior`
  `protected List<SequenceFlow>`
  `incomingFlows`
  `protected boolean`
  `notExclusive`
  `protected List<SequenceFlow>`
  `outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowNode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBehavior()`
  `List<SequenceFlow>`
  `getIncomingFlows()`
  `List<SequenceFlow>`
  `getOutgoingFlows()`
  `boolean`
  `isAsynchronous()`
  `boolean`
  `isAsynchronousLeave()`
  `boolean`
  `isAsynchronousLeaveExclusive()`
  `boolean`
  `isAsynchronousLeaveNotExclusive()`
  `boolean`
  `isExclusive()`
  `boolean`
  `isNotExclusive()`
  `void`
  `setAsynchronous(boolean asynchronous)`
  `void`
  `setAsynchronousLeave(boolean asynchronousLeave)`
  `void`
  `setAsynchronousLeaveExclusive(boolean exclusive)`
  `void`
  `setAsynchronousLeaveNotExclusive(boolean asynchronousLeaveNotExclusive)`
  `void`
  `setBehavior(Object behavior)`
  `void`
  `setExclusive(boolean exclusive)`
  `void`
  `setIncomingFlows(List<SequenceFlow> incomingFlows)`
  `void`
  `setNotExclusive(boolean notExclusive)`
  `void`
  `setOutgoingFlows(List<SequenceFlow> outgoingFlows)`
  `void`
  `setValues(FlowNode otherNode)`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `clone, getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### asynchronous

    protected boolean asynchronous

  - ### asynchronousLeave

    protected boolean asynchronousLeave

  - ### notExclusive

    protected boolean notExclusive

  - ### asynchronousLeaveNotExclusive

    protected boolean asynchronousLeaveNotExclusive

  - ### incomingFlows

    protected List<SequenceFlow> incomingFlows

  - ### outgoingFlows

    protected List<SequenceFlow> outgoingFlows

  - ### behavior

    protected Object behavior

- ## Constructor Details

  - ### FlowNode

    public FlowNode()

- ## Method Details

  - ### isAsynchronous

    public boolean isAsynchronous()

  - ### setAsynchronous

    public void setAsynchronous(boolean asynchronous)

  - ### isAsynchronousLeave

    public boolean isAsynchronousLeave()

  - ### setAsynchronousLeave

    public void setAsynchronousLeave(boolean asynchronousLeave)

  - ### isExclusive

    public boolean isExclusive()

  - ### setExclusive

    public void setExclusive(boolean exclusive)

  - ### isNotExclusive

    public boolean isNotExclusive()

  - ### setNotExclusive

    public void setNotExclusive(boolean notExclusive)

  - ### isAsynchronousLeaveExclusive

    public boolean isAsynchronousLeaveExclusive()

  - ### setAsynchronousLeaveExclusive

    public void setAsynchronousLeaveExclusive(boolean exclusive)

  - ### isAsynchronousLeaveNotExclusive

    public boolean isAsynchronousLeaveNotExclusive()

  - ### setAsynchronousLeaveNotExclusive

    public void setAsynchronousLeaveNotExclusive(boolean asynchronousLeaveNotExclusive)

  - ### getBehavior

    public Object getBehavior()

  - ### setBehavior

    public void setBehavior(Object behavior)

  - ### getIncomingFlows

    public List<SequenceFlow> getIncomingFlows()

  - ### setIncomingFlows

    public void setIncomingFlows(List<SequenceFlow> incomingFlows)

  - ### getOutgoingFlows

    public List<SequenceFlow> getOutgoingFlows()

  - ### setOutgoingFlows

    public void setOutgoingFlows(List<SequenceFlow> outgoingFlows)

  - ### setValues

    public void setValues(FlowNode otherNode)